com.amazon.redshift.httpclient.log

## Class IamCustomLogFactory

- java.lang.Object
- - LogFactoryImpl
  - - com.amazon.redshift.httpclient.log.IamCustomLogFactory

    public class IamCustomLogFactory
    extends LogFactoryImpl

This class provides an implementation of LogFactoryImpl that will prevent any http wire logging. This was requested as a security measure to prevent possible interception of user names and passwords when connecting with IAM.

### Constructor Summary

Constructors
Constructor and Description
`IamCustomLogFactory()`

### Method Summary

Methods
`Log` `getInstance(Class clazz)` Get the Log indicated by the class name.
`Log` `getInstance(String name)` Get the Log indicated by the name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IamCustomLogFactory

    public IamCustomLogFactory()

### Method Detail

#### getInstance

    public Log getInstance(Class clazz)
                    throws LogConfigurationException

Get the Log indicated by the class name. If trying to get wire logs, block by returning new NoOpLog instance.

Parameters:
  `clazz` - The log class to return.
Throws:
  `LogConfigurationException`

#### getInstance

    public Log getInstance(String name)
                    throws LogConfigurationException

Get the Log indicated by the name. If trying to get wire logs, block by returning new NoOpLog instance.

Parameters:
  `name` - The name of the log class to return.
Throws:
  `LogConfigurationException`